#! /bin/bash

set -x

srcdir=${1:-.}
dest=/usr/local

cp -rv bin   $dest
res=$?
if ! test "$res" = "0"; then exit $res; fi

cp -rv include $dest
res=$?
if ! test "$res" = "0"; then exit $res; fi

cp -rv lib   $dest
res=$?
if ! test "$res" = "0"; then exit $res; fi

cp -rv share $dest
res=$?
if ! test "$res" = "0"; then exit $res; fi

ls -l share/UOPT/python/
python3 -m pip install share/UOPT/python/UOPT-*-py3-none-any.whl

ls -l share/UOPT/R/
R CMD INSTALL share/UOPT/R/uopt_*.tar.gz

exit $res
