library('testthat')
library('uoptr')

context('test-rosenN')

local({

test_that("Rosenbrock N-dim problem", {

    source('rosenN-cg.R')

    fs <- obj(vs)

    show(c(vs))

    show(fs)

    errX <- relmaxnorm(vs, rep(1, N))
    show(errX)
    show(attr(vs,"info"))
    show(attr(vs,"info")$exit$code == 19)

    expect_true((attr(vs,"info")$exit$code == 19
                 || attr(vs,"info")$exit$code == 21)
                || errX < 1e-2)

})

})
